# Required applications

* ffmpeg
* xxd (with '-r' and '-p' options)
* awk

# Usage

```Bash
get-tracks.sh rip <audio-file> <time-file>

# Example
get-track.sh rip doom-eternal.opus doom-eternal.txt
```


`audio-file` can be in any format understood by `ffmpeg`.

The `time-file` must have this format:

```
0:00 First song
2:20 Second song
3:18 Awesome song
```

# Environment variables

* **SIMULATION**: if non empty do not invoke ffmpeg
* **FORMAT** [mp3,ogg,opus,…]: for the song file format
* **NONUMBER**: if equals 1, do not write song number
* **SEPARATOR**: (default: ' - '), write song number, with this separator
  example with SEPARATOR='_': song names will be 01_song.opus 02_song.opus…
* **VERBOSITY** [0-3] (default: 1)\
  verbosity 0: no output exept errors from ffmpeg\
  verbosity 1: simple indications on the current track being extracted\
  verbosity 2: print actual ffmpeg commands the script currently runs

# More

Run `get-track.sh` without arguments.
